Ogre::EAGLESContext Class Reference

`#include <OgreEAGLESContext.h>`

Inheritance diagram for Ogre::EAGLESContext:
[legend]

List of all members.

## Public Member Functions

virtual | ~EAGLESContext ()
virtual void | setCurrent ()
| Enable the context.
virtual void | endCurrent ()
| This is called before another context is made current.
virtual GLESContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
bool | createFramebuffer ()
void | destroyFramebuffer ()
bool | getInitialized ()
void | setInitialized ()

## Public Attributes

GLint | mBackingWidth
GLint | mBackingHeight
GLuint | mViewRenderbuffer
GLuint | mViewFramebuffer
GLuint | mDepthRenderbuffer
bool | mIsMultiSampleSupported
GLsizei | mNumSamples
GLuint | mFSAAFramebuffer
GLuint | mFSAARenderbuffer

## Protected Attributes

bool | initialized

## Detailed Description

Definition at line 40 of file OgreEAGLESContext.h.

## Constructor & Destructor Documentation

virtual Ogre::EAGLESContext::~EAGLESContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual GLESContext* Ogre::EAGLESContext::clone | ( |  | ) | const`[virtual]`

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note:
  The caller is responsible for deleting the returned context.

Implements Ogre::GLESContext.

bool Ogre::EAGLESContext::createFramebuffer | ( |  | ) |

void Ogre::EAGLESContext::destroyFramebuffer | ( |  | ) |

virtual void Ogre::EAGLESContext::endCurrent | ( |  | ) | `[virtual]`

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GLESContext.

bool Ogre::GLESContext::getInitialized | ( |  | ) | `[inherited]`

Definition at line 59 of file OgreGLESContext.h.

virtual void Ogre::EAGLESContext::setCurrent | ( |  | ) | `[virtual]`

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GLESContext.

void Ogre::GLESContext::setInitialized | ( |  | ) | `[inherited]`

Definition at line 60 of file OgreGLESContext.h.

## Member Data Documentation

bool Ogre::GLESContext::initialized `[protected, inherited]`

Definition at line 69 of file OgreGLESContext.h.

GLint Ogre::EAGLESContext::mBackingHeight

Definition at line 65 of file OgreEAGLESContext.h.

GLint Ogre::EAGLESContext::mBackingWidth

Definition at line 64 of file OgreEAGLESContext.h.

GLuint Ogre::EAGLESContext::mDepthRenderbuffer

Definition at line 72 of file OgreEAGLESContext.h.

GLuint Ogre::EAGLESContext::mFSAAFramebuffer

Definition at line 76 of file OgreEAGLESContext.h.

GLuint Ogre::EAGLESContext::mFSAARenderbuffer

Definition at line 77 of file OgreEAGLESContext.h.

bool Ogre::EAGLESContext::mIsMultiSampleSupported

Definition at line 74 of file OgreEAGLESContext.h.

GLsizei Ogre::EAGLESContext::mNumSamples

Definition at line 75 of file OgreEAGLESContext.h.

GLuint Ogre::EAGLESContext::mViewFramebuffer

Definition at line 69 of file OgreEAGLESContext.h.

GLuint Ogre::EAGLESContext::mViewRenderbuffer

Definition at line 68 of file OgreEAGLESContext.h.

The documentation for this class was generated from the following file:

- OgreEAGLESContext.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:55